WhatsApp Business API
v
3 endpoints
Send WhatsApp messages via the official Business API. Supports templates, interactive messages, and media.
Endpoints
POST
/send/template
Send a WhatsApp template message
/min
POST
/send/text
Send a plain text WhatsApp message (within 24hr window)
/min
POST
/send/media
Send image, video, or document
/min
Quick Start
curl -X POST "https://gateway.africoders.com/whatsapp/send" \
-H "X-API-Key: sk_live_your_api_key" \
-H "Content-Type: application/json" \
-d '{"to": "+2348012345678", "message": "Hello!"}'
$response = Http::withHeaders([
'X-API-Key' => 'sk_live_your_api_key'
])->post('https://gateway.africoders.com/whatsapp/send', [
'to' => '+2348012345678',
'message' => 'Hello!'
]);
const response = await fetch('https://gateway.africoders.com/whatsapp/send', {
method: 'POST',
headers: {
'X-API-Key': 'sk_live_your_api_key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
to: '+2348012345678',
message: 'Hello!'
})
});
Subscribe
API Info
- Version
- v
- Base URL
gateway.africoders.com/whatsapp- Category
- Messaging
- Endpoints
- 3